# term-owo-cpp

A simple C++ program that owofies text

## Usage

### normal usage:
```bash
$ ./owo "Hello, world!"
Hewwo, wowld!
```

### from pipe / stdin:
```bash
$ echo "Hello, world!" | ./owo -p
Hewwo, wowld!
```

### from file:
```bash
$ ./owo -f file.txt
Hewwo, wowld!
```

### to file:
```bash
$ ./owo -o output.txt "Hello, world!"
```

## Building
to build the program, run the following command (note that you need g++ installed):
```bash
$ g++ -o owo owo.cpp
```

## Installation

### archlinux:
```bash
$ git clone `https://git.alfieking.dev/acetheking987/term-owo-cpp.git`
$ cd term-owo-cpp
$ makepkg -si
```

### other distros:
download the binary from the releases page or build from source

## License
This project is licensed under the MIT License - see the [LICENSE](LICENSE) file for details